## cdebconf 0.10-7.1

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

configure: configure.in
	autoconf

install:
	$(MAKE) -C src $@

clean: 
	-rm -f *-stamp
	-$(MAKE) -C src $@

distclean: clean
	-rm -f config.status config.log config.cache globalmakeflags 
	-rm -f src/makefile src/config.h

.PHONY: cdebconf clean distclean

=== src/modules/Makefile ===
SUBDIRS=db frontend

all install clean:
	@for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done

=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest strtest.o
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS=-Wl,-rpath,/home/randolph/projects/debian-installer/tools/cdebconf/src -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o
	$(CC) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

strtest: ../strutl.o strtest.o
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	-rm -f $(BIN) $(OBJS) *~

=== src/modules/db/Makefile ===
include ../../../globalmakeflags

MODULES:=$(DBMODULES)
SOBJS=$(addsuffix .so,$(MODULES))

all:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module; \
		cp $$module/$$module.so .; \
	done

install:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module $@; \
	done

clean:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module clean; \
	done
	-@rm -f $(SOBJS)

.PHONY: all

=== src/modules/frontend/Makefile ===
include ../../../globalmakeflags

MODULES:=$(FRONTENDMODULES)
SOBJS=$(addsuffix .so,$(MODULES))

all:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module; \
		cp $$module/$$module.so .; \
	done

install:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module $@; \
	done

clean:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module clean; \
	done
	-@rm -f $(SOBJS)

.PHONY: all

=== src/modules/db/mysql/Makefile ===
SOBJ=mysql.so
OBJS=mysql.opic

MODLDFLAGS = -lmysqlclient

include ../modules.mak

=== src/modules/db/perldb/Makefile ===
SOBJ=perldb.so
OBJS=perldb.opic

MODCFLAGS:= $(shell perl -MExtUtils::Embed -e ccopts)
MODLDFLAGS:= $(shell perl -MExtUtils::Embed -e ldopts)

include ../modules.mak

=== src/modules/db/textdb/Makefile ===
SOBJ=textdb.so
OBJS=textdb.opic

include ../modules.mak

=== src/modules/frontend/bogl/Makefile ===
SOBJ=bogl.so
OBJS=bogl.opic

MODLDFLAGS=-lbogl

include ../modules.mak

=== src/modules/frontend/corba/Makefile ===
# $Id: Makefile,v 1.2 2001/02/22 09:22:39 zw Exp $

# This is wrong 8:P  (Hey, big nose? Or girlie hair?)
SOBJ = corba.so
OBJS = corba.opic
include ../modules.mak

PROJ = dcf
PROJ_SERV = $(PROJ)-text
PROJ_SERVSRC = $($(PROJ)-text:%=%.c)
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_IDLFLAGS = --skeleton-impl
ORBIT_IDLTARGETS = $(PROJ)-stubs.c $(PROJ)-skels.c $(PROJ)-common.c $(PROJ).h
GNOME_CFLAGS = $(shell gnome-config --cflags gnome gnomeui gnorba gtk)
GNOME_LIBS = $(shell gnome-config --libs gnome gnomeui gnorba gtk)
CFLAGS += $(MODCFLAGS) $(GNOME_CFLAGS)
LDFLAGS = $(MODLDFLAGS) $(GNOME_LIBS)

$(PROJ)-all: $(ORBIT_IDLTARGETS) $(PROJ_SERV)

$(PROJ)-text: $(PROJ)-text.o $(PROJ)-skels.o $(PROJ)-common.o
	$(CC) -o $(PROJ)-text $^ $(LDFLAGS)

$(ORBIT_IDLTARGETS): $(PROJ).idl
	$(ORBIT_IDL) $(ORBIT_IDLFLAGS) $<

$(PROJ_SERVSRC): $(PROJ).h

$(PROJ)-clean:
	-rm *.[oa] $(PROJ)-text

$(PROJ)-distclean: $(PROJ)-clean
	-rm -f $(PROJ)-stubs.[oc] $(PROJ)-skels.[oc] $(PROJ)-common.[oc] $(PROJ).h

.PHONY: $(PROJ)-all $(PROJ)-clean $(PROJ)-distclean

=== src/modules/frontend/ncurses/Makefile ===
SOBJ=ncurses.so
OBJS=ncurses.opic

#MODCFLAGS=-DUSESLANG
#MODLDFLAGS=-lslang
MODLDFLAGS=-lncurses

include ../modules.mak

=== src/modules/frontend/slang/Makefile ===
SOBJ=slang.so
OBJS=slang.opic

MODLDFLAGS=-lslang

include ../modules.mak

=== debian/changelog ===
cdebconf (0.10-7.1) unstable; urgency=low

  * Non-maintainer upload
  * Mark /etc/cdebconf.conf as a conffile, per policy (closes: #132798)

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Feb 2002 11:16:19 -0600

cdebconf (0.10-7) unstable; urgency=medium

  * Maintainer upload to fix binNMU brokenness for hppa
    (Closes: #126578)
  * Hurd fixes (Closes: #92091)
  * Other previously closed bug (Closes: #92091)

 -- Randolph Chung <tausq@debian.org>  Mon, 31 Dec 2001 10:40:53 -0800

cdebconf (0.10-6) unstable; urgency=low

  * Don't ship convertdb binary in the udeb (closes: #116206) 

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Oct 2001 22:07:21 -0700

cdebconf (0.10-5) unstable; urgency=low

  * provide shlibs (closes: #83096) 
  * rename conffile to cdebconf.conf
  * remove need for user-interaction in postinst

 -- Randolph Chung <tausq@debian.org>  Wed, 21 Feb 2001 20:57:09 -0700

cdebconf (0.10-4) unstable; urgency=low

  * Added warning to cdebconf postinst about cdebconf breaking debconf
  * Added build-depends (closes: #83219)
  * Added in a hack to make cdebconf not really break debconf (closes: #83318)

 -- Randolph Chung <tausq@debian.org>  Wed, 24 Jan 2001 00:01:05 -0700

cdebconf (0.10-3) unstable; urgency=low

  * Make cdebconf Priority: optional instead of standard
  * Minor packaging fixes

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Jan 2001 10:40:38 -0700

cdebconf (0.10-2) unstable; urgency=low

  * Fixes a number of packaging bugs, moved to main tree
  * Lots of new features, see CVS logs...

 -- Randolph Chung <tausq@debian.org>  Fri, 19 Jan 2001 19:37:51 -0700

cdebconf (0.10-1) experimental; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Sun,  1 Oct 2000 15:54:15 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cdebconf
Section: utils
Build-Depends: dpkg-dev (>= 1.7.0), debhelper (>= 2.1.18), slang1-dev, libbogl-dev [!hurd-i386]
Priority: optional
Maintainer: Randolph Chung <tausq@debian.org>
Standards-Version: 3.2.1.0

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 Installing this package is rather dangerous now. It will break debconf.
 You have been warned!

Package: cdebconf-dev
Architecture: all
Depends: cdebconf (= ${Source-Version})
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

topdir=$(shell pwd)
udebbuild=$(topdir)/debian/build-udeb
debbuild=$(topdir)/debian/build

PACKAGE=cdebconf-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
FILENAME=$(PACKAGE)_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep ^Priority: debian/control | cut -d ' ' -f 2)
CONFFILE=/etc/cdebconf.conf

FRONTENDS=text slang
ifeq (,$(findstring hurd-,$(DEB_HOST_ARCH)))
FRONTENDS += bogl
endif

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-$(MAKE) distclean
	-rm -rf $(udebbuild)
	-rm -rf $(debbuild)
	dh_clean

build-udeb: build-udeb-stamp
build-udeb-stamp:
	dh_testdir
	[ -d $(udebbuild) ] || mkdir -p $(udebbuild)
	(cd $(udebbuild); CFLAGS="-Os -fomit-frame-pointer" \
		$(topdir)/configure --prefix=/usr --sysconfdir=/etc \
		--without-rpath --with-db="textdb" \
		--with-frontend="text" \
		--with-conffile=$(CONFFILE))
	(cd $(udebbuild); $(MAKE) clean; $(MAKE))
	touch $@

build: build-stamp
build-stamp:
	dh_testdir
	[ -d $(debbuild) ] || mkdir -p $(debbuild)
	(cd $(debbuild); CFLAGS="-O2" \
		$(topdir)/configure --prefix=/usr --sysconfdir=/etc \
		--without-rpath \
		--with-db="textdb perldb" \
		--with-frontend="$(FRONTENDS)" \
		--with-conffile=$(CONFFILE))
	(cd $(debbuild); $(MAKE) clean; $(MAKE))
	touch $@

install-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	(cd $(udebbuild); \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-udeb/usr \
		etcdir=$(shell pwd)/debian/cdebconf-udeb/etc )
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/include

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 
	(cd $(debbuild); \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf/usr \
		etcdir=$(shell pwd)/debian/cdebconf/etc )

	# TODO: REmove this temporary hack when we make debconf/cdebconf
	# coexist happily
	for i in usr/sbin/dpkg-reconfigure usr/bin/debconf-loadtemplate \
		usr/share/debconf/confmodule usr/share/debconf/frontend; do \
		mv $(shell pwd)/debian/cdebconf/$$i \
			$(shell pwd)/debian/cdebconf/$$i.cdebconf; \
	done

	dh_movefiles -pcdebconf-dev --sourcedir=debian/cdebconf \
		usr/lib/*.so usr/include/cdebconf
	rm -rf debian/cdebconf/usr/include

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
#
# Note that this builds a .udeb, which is not policy compliant or anything.
binary-arch: cdebconf cdebconf-udeb

cdebconf: install
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs		-p$@ doc/*
	dh_installchangelogs	-p$@
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_makeshlibs		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps		-p$@
	dh_gencontrol		-p$@
	dh_md5sums		-p$@
	dh_builddeb		-p$@

	dh_installdocs		-p$@-dev
	dh_installchangelogs	-p$@-dev
	#dh_strip		-p$@-dev
	dh_compress		-p$@-dev
	dh_fixperms		-p$@-dev
	dh_installdeb		-p$@-dev
	#dh_shlibdeps		-p$@-dev
	dh_gencontrol		-p$@-dev
	dh_md5sums		-p$@-dev
	dh_builddeb		-p$@-dev

cdebconf-udeb: install-udeb
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps		-p$@
	# Don't write your stupid guesses to debian/files.
	dh_gencontrol 		-p$@ -- -fdebian/files~
	# Register file manually.
	dpkg-distaddfile	$(FILENAME) debian-installer $(PRIORITY)
	dh_md5sums		-p$@
	dh_builddeb		-p$@ --filename=$(FILENAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.67

=== debian/changelog ===
cdebconf (0.67) unstable; urgency=low

  * Matt Kraai
    - Free the owner field of the node being deleted (Closes: #256954).
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Wed, 30 Jun 2004 17:37:37 -0700

cdebconf (0.66) unstable; urgency=low

  * Joshua Kwan
    - Apply patch from Guillaume Pernot <gpernot@praksys.org> to fix
      a lone semicolon in newt.c that chokes gcc. (Closes: #251973)
  * Colin Watson
    - Initialize frontend handle to NULL and check for that on dlclose().
      This prevents a segfault when DEBIAN_FRONTEND=none.
    - Add myself to Uploaders.
  * Updated translations:
    - Welsh (cy.po) by Dafydd Harries
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Korean (ko.po) by Changwoo Ryu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Jun 2004 15:01:36 +0100

cdebconf (0.65) unstable; urgency=low

  * Denis Barbier
    - cdebconf-text-udeb.templates:  when fixing #245624, a string format
      was modified.  Now that string freeze is over, this file is updated
      as well as translations.
    - With text interface, append "[*]" to selected items in boolean, select
      and multiselect questions.
  * Eugeniy Meshcheryakov
    - newt frontend: long lines in select and multiselect templates
      were wrongly truncated.  Closes: #245982

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 May 2004 20:05:51 +0200

cdebconf (0.64) unstable; urgency=low

  * Denis Barbier
    - text frontend: the default value in string templates was printed
      with %d instead of %s.  Closes: #245624

 -- Denis Barbier <barbier@debian.org>  Wed, 28 Apr 2004 02:03:19 +0200

cdebconf (0.63) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:55:32 -0400

cdebconf (0.62) unstable; urgency=low

 -- Denis Barbier <barbier@debian.org>  Thu, 29 Apr 2004 23:35:37 +0200

cdebconf (0.61) unstable; urgency=low

  * Martin Sjögren
    - newt.c: Make sure we don't call NewtFinished if there's an active
      progress bar. Closes: #242976
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Gallegan (gl.po) by Héctor Fernández López
    - Italian (it.po) by Davide Viti
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Nikolai Prokoschenko
    - Turkish (tr.po) by Osman Yüksel

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 21:22:11 -0400

cdebconf (0.60) unstable; urgency=low

  * Joey Hess
    - Increase debhelper version to one that can handle udebs.
  * Denis Barbier
    - In the newt frontend, remove the <Continue> button except for
      questions of type note, error and multiselect (and also select
      when extended description is very long and displayed in a
      separate window).
    - Add a --merge command-line flag to debconf-loadtemplate.
      When debconf-loadtemplate reads templates files, the default
      behavior is to replace existing templates with the new
      definitions.  With this flag, translations are added to already
      existing templates.  But if English text differs, outdated
      translations are removed as if this flag was unset.
      Closes: #212921
    - Fix newt.c so that debian/cdebconf-newt-udeb.templates is generated
      from source files.
    - Rebuild cdebconf-text-udeb.templates to include strings added
      recently to the text frontend.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Pierre Machard
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmal, Norwegian (nb.po) by Petter Reinholdtsen
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Nuno Sénica
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 01:15:58 -0400

cdebconf (0.59) unstable; urgency=low

  * Joey Hess
    - Mark udebs as such in the control file, so debconf doesn't mark
      conffiles. Did not finish conversion to new simpler rules file
      using new debhelper udeb features.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Apr 2004 16:58:34 -0500

cdebconf (0.58) unstable; urgency=low

  * Denis Barbier
    - Major improvements to the text frontend:
      + '\r' is not supported by all terminals, which made progress bars
        unreadable.  The display is now:
          Progress bar title ..20%..40%..60%..80%..100%
        Closes: #195704
      + Add support for backing up.  Closes: #183107
      + For most questions, prints the short description below the extended
        one.
      + String and passwd questions accept an empty answer.
      + A contextual help message is available at prompt.
      + Progress bar refresh is set to a minimum of 10% to prevent
        too verbose output.
      + Select and multiselect questions look now more like debconf
        readline questions.
      + Define a ISEMPTY macro to deal with empty strings on s390.
    - The previous fix about the seen flag broke when a package is


=== debian/control ===
Source: cdebconf
Section: utils
Build-Depends: dpkg-dev (>= 1.7.0), debhelper (>= 4.2), libperl-dev, d-shlibs (>= 0.3), po-debconf (>= 0.5.0), libnewt-dev, libtextwrap-dev
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>
Standards-Version: 3.6.1

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}
Provides: debconf-2.0
Conflicts: debconf
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 Installing this package is rather dangerous now. It will break debconf.
 You have been warned!

Package: libdebconfclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is the libraries needed by libdebconfclient-dev and cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Section: libdevel
Depends: libdebconfclient0 (= ${Source-Version}), ${devlibs:Depends}
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: any
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
XC-Package-Type: udeb
XB-installer-menu-item: 930
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb
Provides: libdebconfclient0
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-slang-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: S-Lang frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Priority: optional
XC-Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It
 is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

topdir=$(shell pwd)
udebbuild=$(topdir)/debian/build-udeb
debbuild=$(topdir)/debian/build

VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

udebname=cdebconf-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
udebpriority=$(shell grep '^Package: cdebconf-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

priorityudebname=cdebconf-priority_$(VERSION)_$(DEB_HOST_ARCH).udeb
priorityudebpriority=$(shell grep '^Package: cdebconf-priority' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

libudebname=libdebconfclient0-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
libudebpriority=$(shell grep '^Package: libdebconfclient0-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

slang_udebname=cdebconf-slang-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
slang_udebpriority=$(shell grep '^Package: cdebconf-slang-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

text_udebname=cdebconf-text-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
text_udebpriority=$(shell grep '^Package: cdebconf-text-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
	
newt_udebname=cdebconf-newt-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
newt_udebpriority=$(shell grep '^Package: cdebconf-newt-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)


gtk_udebname=cdebconf-gtk-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
gtk_udebpriority=$(shell grep '^Package: cdebconf-gtk-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

FRONTENDS=text newt
UDEB_FRONTENDS=text newt

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-$(MAKE) distclean
	-rm -rf $(udebbuild)
	-rm -rf $(debbuild)
	dh_clean

build-udeb: build-udeb-stamp
build-udeb-stamp:
	dh_testdir
	[ -d $(udebbuild) ] || mkdir -p $(udebbuild)
	(cd $(udebbuild); CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
		$(topdir)/configure --prefix=/usr --sysconfdir=/etc \
		--enable-d-i \
		--without-rpath --with-db="rfc822db" \
		--with-frontend="$(UDEB_FRONTENDS)" $(DEBUG_CONFIGURE_OPT) \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE))
	(cd $(udebbuild); $(MAKE) clean; $(MAKE))
	touch $@

build: build-stamp
build-stamp:
	dh_testdir
	[ -d $(debbuild) ] || mkdir -p $(debbuild)
	(cd $(debbuild); CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
		$(topdir)/configure --prefix=/usr --sysconfdir=/etc \
		--without-rpath $(DEBUG_CONFIGURE_OPT) \
		--with-db="textdb rfc822db" \
		--with-frontend="$(FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE))
	(cd $(debbuild); $(MAKE) clean; $(MAKE))
	touch $@

install-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-udeb
	(cd $(udebbuild); \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-udeb/usr \
		etcdir=$(shell pwd)/debian/cdebconf-udeb/etc )
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/include
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/share/man
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/lib/cdebconf/frontend/newt.so
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/lib/cdebconf/frontend/text.so
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/lib/lib*.a
	rm -rf $(shell pwd)/debian/cdebconf-udeb/usr/lib/libdebconfclient.so
	mv $(shell pwd)/debian/cdebconf-udeb/usr/lib/libdebconfclient.so.* \
		$(shell pwd)/debian/libdebconfclient0-udeb/usr/lib

install-priority-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-priority

install-slang-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-slang-udeb
	(cd $(udebbuild)/src/modules/frontend/slang; \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-slang-udeb/usr )

install-newt-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-newt-udeb
	(cd $(udebbuild)/src/modules/frontend/newt; \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-newt-udeb/usr )

install-text-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-text-udeb
	(cd $(udebbuild)/src/modules/frontend/text; \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-text-udeb/usr )

install-gtk-udeb: build-udeb install-dirs
	dh_testdir
	dh_testroot
	dh_installdebconf -n -pcdebconf-gtk-udeb
	(cd $(udebbuild)/src/modules/frontend/gtk; \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf-gtk-udeb/usr )

install: build install-dirs
	dh_testdir
	dh_testroot
	(cd $(debbuild); \
		$(MAKE) install prefix=$(shell pwd)/debian/cdebconf/usr \
		etcdir=$(shell pwd)/debian/cdebconf/etc )

	d-shlibmove --commit --movedev debian/cdebconf/usr/include/cdebconf \
		usr/include debian/cdebconf/usr/lib/lib*.so



	rm -rf debian/cdebconf/usr/include

install-dirs: install-dirs-stamp
install-dirs-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
#
# Note that this builds a .udeb, which is not policy compliant or anything.
binary-arch: cdebconf cdebconf-udeb cdebconf-priority libdebconfclient0-udeb \
	cdebconf-newt-udeb cdebconf-text-udeb

$(LIBDEBCONF): install
	dh_testdir
	dh_testroot
	dh_installdirs

	dh_installdocs		-p$@
	dh_installchangelogs	-p$@
	dh_makeshlibs		-p$@
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps		-p$@ -ldebian/$@/usr/lib
	dh_gencontrol		-p$@
	dh_md5sums		-p$@
	dh_builddeb		-p$@

$(LIBDEBCONFDEV): install
	dh_testdir
	dh_testroot
	dh_installdirs

	dh_installdocs		-p$@
	dh_installchangelogs	-p$@
	#dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	#dh_shlibdeps		-p$@ -ldebian/$@/usr/lib
	dh_gencontrol		-p$@
	dh_md5sums		-p$@
	dh_builddeb		-p$@

cdebconf: $(LIBDEBCONFDEV) $(LIBDEBCONF)
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_installdirs

	dh_installdocs		-p$@ doc/*
	dh_installchangelogs	-p$@
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_makeshlibs		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps -p$@ -ldebian/$(LIBDEBCONF)/usr/lib
	dh_gencontrol		-p$@
	dh_md5sums		-p$@
	dh_builddeb		-p$@



cdebconf-udeb: install-udeb
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps -p$@ -ldebian/$@/usr/lib
	# Don't write your stupid guesses to debian/files.
	dh_gencontrol 		-p$@ -- -fdebian/files~
	# Register file manually.
	dpkg-distaddfile	$(udebname) debian-installer $(udebpriority)
# udebs shouldn't have md5sums.
#	dh_md5sums		-p$@
	dh_builddeb		-p$@ --filename=$(udebname)

cdebconf-priority: install-priority-udeb
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps -p$@ -ldebian/$@/usr/lib
	# Don't write your stupid guesses to debian/files.
	dh_gencontrol 		-p$@ -- -fdebian/files~
	# Register file manually.
	dpkg-distaddfile	$(priorityudebname) debian-installer $(priorityudebpriority)
# udebs shouldn't have md5sums.
#	dh_md5sums		-p$@
	dh_builddeb		-p$@ --filename=$(priorityudebname)

libdebconfclient0-udeb: install-udeb
	@echo "Building $@"
	dh_testdir
	dh_testroot
	dh_strip		-p$@
	dh_compress		-p$@
	dh_fixperms		-p$@
	dh_installdeb		-p$@
	dh_shlibdeps -p$@ -ldebian/$@/usr/lib
	# Don't write your stupid guesses to debian/files.
	dh_gencontrol 		-p$@ -- -fdebian/files~
	# Register file manually.

## cdebconf 0.74ubuntu10

=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest detecttest
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS=-Wl,-rpath,$(shell cd ..; pwd) -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o ../debug.o
	$(CC) $(LDFLAGS) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o ../debug.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

#strtest: ../strutl.o strtest.o
#	$(CC) -o $@ $^ $(LDFLAGS)

detecttest: detecttest.c
	$(CC) -o $@ -I..  $^ ../detect_keys.o ../debug.o

clean:
	-rm -f $(BIN) $(OBJS) *~

=== debian/changelog ===
cdebconf (0.74ubuntu10) hoary; urgency=low

  * Add draft Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:46:15 +0000

cdebconf (0.74ubuntu9) hoary; urgency=low

  * Restore regressed autoconf elimination from 0.74ubuntu6

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 21 Feb 2005 20:24:18 -0700

cdebconf (0.74ubuntu8) hoary; urgency=low

  * Update templates for the news keyboard selector.
    - did the German translation.
  * Changed wrong-key text to clarify that Shift is not necessary.
  * Decrement the timer in steps of 10 (if >10) in order to not impart
    a sense of terrible urgency to the user. (Suggested by elmo)

 -- Matthias Urlichs <smurf@debian.org>  Mon, 21 Feb 2005 17:00:05 +0100

cdebconf (0.74ubuntu7) hoary; urgency=low

  * Backport from trunk:
    - Fix memory leaks in METAGET, PROGRESS, SETTITLE, and X_SETBACKTITLE
      commands.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 11:30:51 +0000

cdebconf (0.74ubuntu6) hoary; urgency=low

  * Generate configure in the source package rather than requiring autoconf
    at build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2005 14:55:45 +0000

cdebconf (0.74ubuntu5) hoary; urgency=low

  * Keyboard detection code
  * Actually return an error when things go wrong
  * Re-enabled frontend selection by command line
  * Return DC_NOTIMPL if a question type isn't implemented,
    instead of silently skipping the question.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Tue, 25 Jan 2005 14:27:37 +0100

cdebconf (0.74ubuntu4) hoary; urgency=low

  * Add "progress" to the list of capabilities returned by CAPB.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Feb 2005 13:54:26 +0000

cdebconf (0.74ubuntu3) hoary; urgency=low

  * Backport X_SETBACKTITLE fix from trunk to make the backdrop title appear
    in newt progress bars too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 19:35:20 +0000

cdebconf (0.74ubuntu2) hoary; urgency=low

  * Backport from trunk:
    - Patch from mdz to support the DATA command, as used by the (perl)
      debconf passthrough frontend (as patched by mdz to work as of debconf
      1.4.42). This allows dpkg-reconfigure inside the chroot to communicate
      with the user using the existing cdebconf d-i frontend.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 14 Jan 2005 13:58:20 +0000

cdebconf (0.74ubuntu1) hoary; urgency=low

  * Enable stack driver.
  * Move answers to password questions out of
    /var/lib/cdebconf/questions.dat to /var/lib/cdebconf/passwords.dat.
  * Backport from trunk, mainly for the live CD:
    - Add an X_SETBACKTITLE command, which sets the backdrop title. In the
      newt frontend, this appears as text at the top left-hand corner of the
      screen. This is to be used for top-level operational modes of the
      installer, such as rescue mode.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 23:09:28 +0000

cdebconf (0.74) unstable; urgency=low

  * Colin Watson
    - Fix a couple of compiler warnings in the stack driver.
    - Set config_passwd_db path in example cdebconf.conf to passwords.dat
      rather than templates.dat.
    - Attempt to read cdebconf.conf configuration tags with quote-removal
      (strparsecword) and only try without quote-removal (strparsequoteword)
      if that fails. The strange function naming wasn't my idea ... Fixes
      incorrect parsing of stack driver parts of example cdebconf.conf.
    - Initialise next pointers in template/question stacks properly.
    - Implement accept_types and reject_types in stack driver.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2005 18:27:54 +0000

cdebconf (0.73) unstable; urgency=low

  * Colin Watson
    - Set NEWT_FLAG_RETURNEXIT on multiselect checkboxes (closes: #252751).
    - Fix compiler warning in text frontend.
    - gtk frontend work:
      + Set window title on GO.
      + Make cdebconf-gtk-udeb packaging work (still not built by default).
      + Make the Forward button the default widget, so that pressing Enter
        activates it.
    - Make the value of DEBCONF_OLD_FD_BASE available via the shell
      confmodule.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Dec 2004 10:54:47 +0000

cdebconf (0.72) unstable; urgency=low

  * Colin Watson
    - gtk frontend work (not built for sarge, so no risk):
      + Allocate choices, choices_translated, and defvals dynamically. Fixes
        several crash bugs.
      + Fix a type mismatch that generated a compiler warning.
      + Disable help popup on multiselects, since it made it impossible to
        actually select anything. Ditto on password keyboard focus grab.
      + Implement the text type, just as an alias of note for now.
      + Drop the old back/continue buttons entirely, as they only appear
        sometimes and having both them and the druid-style buttons is very
        confusing. Fix sensitivity of druid-style buttons.
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:20:44 -0400

cdebconf (0.71) unstable; urgency=low

  * Colin Watson
    - Fix some compiler warnings.
    - cdebconf conflicts with debconf-doc (closes: #274795).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović


=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=text newt
UDEB_FRONTENDS=text newt

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb build-udeb

$(debbuild)/config.status:
	[ -d $(debbuild) ] || mkdir -p $(debbuild)
	cd $(debbuild); \
	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	$(MAKE) -C $(debbuild)
	touch $@

$(udebbuild)/config.status:
	[ -d $(udebbuild) ] || mkdir -p $(udebbuild)
	cd $(udebbuild); \
	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	$(MAKE) -C $(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-rm -rf $(debbuild) $(udebbuild)
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
	dh_install -a --sourcedir=debian/tmp

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.74.2

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf man

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

man:
	$(MAKE) -C man

configure: configure.in
	autoconf

install:
	$(MAKE) -C src $@
	$(MAKE) -C man $@

clean: 
	-rm -f *-stamp
	-$(MAKE) -C src $@

distclean: clean
	-rm -f config.status config.log config.cache globalmakeflags 
	-rm -f src/Makefile src/config.h man/Makefile

.PHONY: cdebconf clean distclean

=== src/test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../../globalmakeflags
 CFLAGS += -I..
-BIN=configtest dbtest detecttest
+BIN=configtest dbtest
 OBJS=$(subst .c,.o,$(wildcard *.c))
 LDFLAGS=-Wl,-rpath,$(shell cd ..; pwd) -ldl
 
@@ -18,8 +18,5 @@
 #strtest: ../strutl.o strtest.o
 #	$(CC) -o $@ $^ $(LDFLAGS)
 
-detecttest: detecttest.c
-	$(CC) -o $@ -I..  $^ ../detect_keys.o ../debug.o
-
 clean:
 	-rm -f $(BIN) $(OBJS) *~

=== src/modules/db/mysql/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MODULE=mysql
 SOBJ=mysql.so
 OBJS=mysql.opic

=== src/modules/db/rfc822db/Makefile ===
MODULE=rfc822db
SOBJ=rfc822db.so
OBJS=rfc822db.opic

include ../modules.mak

CFLAGS+= -I./table

=== src/modules/frontend/corba/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-# $Id: Makefile,v 1.2 2001/02/22 09:22:39 zw Exp $
+# $Id: Makefile 11913 2004-03-25 04:52:51Z klfmanik-guest $
 
 # This is wrong 8:P  (Hey, big nose? Or girlie hair?)
+MODULE=corba
 SOBJ = corba.so
 OBJS = corba.opic
 include ../modules.mak

=== src/modules/frontend/gtk/Makefile ===
MODULE=gtk
SOBJ=gtk.so
OBJS=gtk.opic
MODCFLAGS=`pkg-config --cflags gtk+-2.0`

MODLDFLAGS=`pkg-config --libs gtk+-2.0`

include ../modules.mak

=== src/modules/frontend/newt/Makefile ===
MODULE=newt
SOBJ=newt.so
OBJS=newt.opic

MODLDFLAGS=-lnewt

include ../modules.mak

=== src/modules/frontend/text/Makefile ===
MODULE=text
SOBJ=text.so
OBJS=text.opic

include ../modules.mak

=== debian/changelog ===
cdebconf (0.74.2) testing; urgency=low

  * New upload with no source changes to get udebs marching source in sarge.
  * Version number munge since this reverts the 0.74 changes from sarge,
    since the 0.74 udebs never did get in.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 May 2005 11:23:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: cdebconf
 Section: utils
-Build-Depends: dpkg-dev (>= 1.7.0), debhelper (>= 4.2), libperl-dev, d-shlibs (>= 0.3), po-debconf (>= 0.5.0), libnewt-dev, libtextwrap-dev
+Priority: optional
+Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libnewt-dev, libtextwrap-dev, libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>
+Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.6.1
 
 Package: cdebconf
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: debconf-2.0
-Conflicts: debconf
+Conflicts: debconf, debconf-doc
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -35,7 +36,7 @@
 Package: libdebconfclient0-dev
 Architecture: any
 Section: libdevel
-Depends: libdebconfclient0 (= ${Source-Version}), ${devlibs:Depends}
+Depends: libdebconfclient0 (= ${Source-Version})
 Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
 Provides: libdebconfclient-dev
 Replaces: libdebconf-dev
@@ -51,6 +52,7 @@
 Architecture: any
 Section: debian-installer
 Priority: standard
+Depends: ${shlibs:Depends}
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -62,7 +64,7 @@
  debian-installer
 
 Package: cdebconf-priority
-Architecture: any
+Architecture: all
 Section: debian-installer
 Priority: standard
 Depends: cdebconf-udeb
@@ -76,7 +78,7 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
-Depends: cdebconf-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb
 Provides: libdebconfclient0
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
@@ -88,7 +90,7 @@
  This is a udeb version of libdebconfclient0.
 
 Package: cdebconf-slang-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
@@ -121,6 +123,7 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
+Depends: cdebconf-udeb, ${shlibs:Depends}
 XC-Package-Type: udeb
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
@@ -132,7 +135,7 @@
  by the debian-installer.
 
 Package: cdebconf-gtk-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
 Depends: cdebconf-udeb, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--without-rpath \
-		--with-db="textdb rfc822db stack" \
+		--with-db="textdb rfc822db" \
 		--with-frontend="$(DEB_FRONTENDS)" \
 		--with-textwrap \
 		--with-conffile=$(CONFFILE) \
@@ -58,7 +58,7 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--enable-d-i \
-		--without-rpath --with-db="rfc822db stack" \
+		--without-rpath --with-db="rfc822db" \
 		--with-frontend="$(UDEB_FRONTENDS)" \
 		--with-default-frontend=newt \
 		--with-syslog-logging \
